Subject: Re: DBD::Oracle won't build under Cygwin Perl + more ...
From: "Gerrit P. Haase" <[email-masked]>
To: Lucio Peña <[email-masked]>
Cc: [email-masked]
Date: Wed, 14 Aug 2002 14:21:40 +0200

Hallo Lucio,

>>Yes, create an importlib from oci.dll.

> how can I  create an imporlib form oci.dll?. This are the steps that I
> follow, but it doesn't work.

>     1.- I use impdef to create the export file. In c:\Oracle\Ora81\BIN:
>                 impdef oci.dll > oci.def
>           The oci.def is in the attachments.

>     2.- In cygwin, in ~/tmp/DBD-Oracle-1.12, I run dlltool to produce 
> liboci.a. First, I copy oci.def from c:\Oracle\Ora81\BIN to 
> c:\cygwin\home\lpeña\tmp\DBD-Oracle-1.12 -where there is the Makefile.PL-.
>                 dlltool --def oci.def --output-lib libfoo.a -k
                                                    liboci.a <---?

>     3.- I run Makefile.PL in cygwin ~/tmp/DBD-Oracle-1.12 and the output 
> still is incorrect
>                 Note (probably harmless): No library found for -loci

It needs the lib to link against.

> LD_RUN_PATH=/cygdrive/c/Oracle/Ora81/lib:/cygdrive/c/Oracle/Ora81/rdbms/lib
>                 Using DBD::Oracle 1.12.
>                 Using DBI 1.30 installed in 
> /usr/lib/perl5/site_perl/5.6.1/cygwin-multi/auto/DBI

>                 Writing Makefile for DBD::Oracle

>     4.- I copy liboci.a in LD_RUN_PATH, but I have the same output.

>     What I'm doing wrong?

Copy liboci.a to /usr/lib

HTH,

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/